I also have a consumer addition that's unlocked and couldn't get twrp 2.7 to load. Same error message too. I ended up going with twrp 2.6.31 - ghost-4.4 and it works fine.